Subject: [siprec] #12: REQ-001/002/003/004

From: "siprec issue tracker" <[email-masked]>
Date: Thu, 06 May 2010 15:35:29 -0000

#12: REQ-001/002/003/004
------------------------------------------------+---------------------------
 Reporter:  john.elwell@…                       |       Owner:  krehor@…        
     Type:  defect                              |      Status:  new             
 Priority:  major                               |   Milestone:  milestone1      
Component:  Requirements                        |     Version:                  
 Severity:  Candidate WG Document               |    Keywords:                  
------------------------------------------------+---------------------------
 - I find the term "Full-time" not very intuitive. I think what we are
 trying to say is that all communication sessions are recorded.
 - I find the requirement "Persistent Recording" odd - if you are recording
 all communication sessions, why not treat each as separate recording
 sessions? Note that any mapping of recording sessions onto SIP dialogs is
 not a matter for the requirements document (although other requirements,
 e.g., to do with latency when starting a recording, might lead to a
 solution where a SIP session persists for supporting a number of recording
 sessions). I interpret recording session in the requirements document as
 being an abstract term for the communication between client and server.
 - Basically I think the requirements come down to 3 cases: i)record all
 communnication sessions in their entirety, ii) record selected
 communication sessions in their entirety, or iii) record selected parts of
 selected communication sessions.
 - Should there be a requirement on how the particular case from the 3
 above is chosen? Presumably it is by policy known to the client.
 - For case ii), should there be a requirement as to how it is decided
 which communication sessions should be recorded? Is it the client that
 decides? Note that if it is the server, there would need to be a mechanism
 by which the server becomes aware that a communication session is taken
 place, so this would be more complex.
 - For case iii), presumably only the client can choose which parts of a
 session to record. Should this be made clear in a requirement?

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/siprec/trac/ticket/12>
siprec <http://tools.ietf.org/siprec/>